# Daten abfragen

1. Bei Suche nach Daten, die Daten immer in `` ` `` Quotes setzen. Sonst werden die Spalten miteinander verglichen.
2. MySQL ignoriert Groß- und Kleinschreibung und Ä = A, Ö = O, Ü = U.
3. Wenn auf distinct mehrere Spalten folgen, dann wird die Kombination der Spalten als einzigartig betrachtet.
4. `WHERE firstname = 'Anne' OR firstname = 'Peter'` kann durch `WHERE firstname IN ('Anne', 'Peter')` ersetzt werden.
5. `WHERE age BETWEEN 20 AND 30` gibt alle Werte zurück, wo das Alter zwischen 20 und 30 liegt.

# Syntax
`SELECT COUNT(*)` Zählt die Anzahl der Zeilen in einer Tabelle.

`SELECT DISTINCT ` Gibt nur einzigartige Werte zurück.

`SELECT * FROM table WHERE column LIKE 'a%'` Gibt alle Werte zurück, die mit 'a' beginnen.

`SELECT * FROM table WHERE age BETWEEN 20 AND 30` Gibt alle Werte zurück, wo das Alter zwischen 20 und 30 liegt. (Inklusive 20 und 30)

